﻿Module itemFunction
    Public Function SaveStocks(ByVal saving As String, ByVal sqlstring As String) As Boolean
        Try

            If saving = "SaveOnly" Then
                sql = sqlstring
            ElseIf saving = "UpdateOnly" Then
                sql = sqlstring
            ElseIf saving = "AddQty" Then
                sql = sqlstring
            End If
            MyConn.Open()
            cmd.Connection = MyConn
            cmd.CommandText = sql
            With frm_additem
                Dim unitprice, sellprice As Double

                unitprice = .txtunitprice.Text.Replace(",", "")
                Format(unitprice, "#,##0.00")
                sellprice = .txtsellprice.Text.Replace(",", "")
                Format(sellprice, "#,##0.00")





                If saving = "SaveOnly" Then

                    cmd.Parameters.AddWithValue("@ITEMCODE", .txtitemcode.Text)
                    cmd.Parameters.AddWithValue("@ITEMNAME", .txtitemname.Text)
                    cmd.Parameters.AddWithValue("@IBRANDNAME", .txtbrandname.Text)
                    cmd.Parameters.AddWithValue("@GID", .cbogeneric.SelectedValue)
                    cmd.Parameters.AddWithValue("@SHID", .cboshelves.SelectedValue)
                    cmd.Parameters.AddWithValue("@IDESCRIPTION", .txtdescription.Text)
                    cmd.Parameters.AddWithValue("@UNITPRICE", unitprice)
                    cmd.Parameters.AddWithValue("@SELLPRICE", sellprice)
                    cmd.Parameters.AddWithValue("@UNIT", .txtunit.Text)
                    cmd.Parameters.AddWithValue("@QUANTITY", 1)
                    cmd.Parameters.AddWithValue("@ONHAND", 1)
                    cmd.Parameters.AddWithValue("@SIDNO", .cbosuppliername.SelectedValue)
                    cmd.Parameters.AddWithValue("@CATID", .cbocategory.SelectedValue)
                    cmd.Parameters.AddWithValue("@EXPIRED_DATE", Format(Date.Today, "yyyy-MM-dd"))

                ElseIf saving = "UpdateOnly" Then

                    cmd.Parameters.AddWithValue("@ITEMCODE", .txtitemcode.Text)
                    cmd.Parameters.AddWithValue("@ITEMNAME", .txtitemname.Text)
                    cmd.Parameters.AddWithValue("@IBRANDNAME", .txtbrandname.Text)
                    cmd.Parameters.AddWithValue("@GID", .cbogeneric.SelectedValue)
                    cmd.Parameters.AddWithValue("@SHID", .cboshelves.SelectedValue)
                    cmd.Parameters.AddWithValue("@IDESCRIPTION", .txtdescription.Text)
                    cmd.Parameters.AddWithValue("@UNITPRICE", unitprice)
                    cmd.Parameters.AddWithValue("@SELLPRICE", sellprice)
                    cmd.Parameters.AddWithValue("@UNIT", .txtunit.Text)
                    cmd.Parameters.AddWithValue("@QUANTITY", 1)
                    cmd.Parameters.AddWithValue("@ONHAND", 1)
                    cmd.Parameters.AddWithValue("@SIDNO", .cbosuppliername.SelectedValue)
                    cmd.Parameters.AddWithValue("@CATID", .cbocategory.SelectedValue)
                    cmd.Parameters.AddWithValue("@EXPIRED_DATE", Format(Date.Today, "yyyy-MM-dd"))

                End If
                'If saving = "SaveOnly" Then

                'End If


            End With
            result = cmd.ExecuteNonQuery
            If result > 0 Then
                Return True
            Else
                Return False
            End If
            'Catch ex As Exception
            '    MsgBox(ex.Message)
        Finally
            cmd.Parameters.Clear()
            cmd.Dispose()
            MyConn.Close()

        End Try

    End Function
    Public Sub reloaditems()
        adonesfindthis("SELECT i.`ITEMID`,i.`ITEMCODE`, i.`ITEMNAME`, i.`IBRANDNAME`, g.`GNAME`, sh.`SHNAME`,i.`IDESCRIPTION`, i.`UNITPRICE`, i.`SELLPRICE`,i.`UNIT`, SUM( `QUANTITY`) as 'Quantity', SUM(`ONHAND`) as 'Ave. QUANTITY', s.`SNAME`, c.`CATNAME`, i.`EXPIRED_DATE` FROM `tblgeneric` g,`tblshelves` sh, `tblsupplier` s, `tblcategory` c, `tblitem` i WHERE g.`GID`= i.`GID` AND sh.`SHID`= i.`SHID` AND s.`SIDNO`= i.`SIDNO` AND c.`CATID`= i.`CATID` GROUP by ITEMCODE")
        LoadData(frm_itemlist.dtglistitems, "Items")
    End Sub

    Public Function CheckItem() As Integer
        Dim dr As String = ""
        Try

            MyConn.Open()
            dReader = cmd.ExecuteReader()
            Do While dReader.Read = True
                dr = dReader(0)
            Loop

            'Catch ex As Exception
            '    MsgBox(ex.Message)
            Return dr
        Finally
            MyConn.Close()

        End Try
    End Function

End Module
