-- phpMyAdmin SQL Dump
-- version 4.8.2
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Jan 24, 2020 at 07:12 AM
-- Server version: 10.1.34-MariaDB
-- PHP Version: 5.6.37

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `thesis_pharmacy`
--

-- --------------------------------------------------------

--
-- Table structure for table `tblautonumber`
--

CREATE TABLE `tblautonumber` (
  `AUTOCODE` varchar(30) NOT NULL,
  `APPENDCHAR` varchar(30) NOT NULL,
  `AUTOSTART` int(11) NOT NULL,
  `AUTOEND` int(11) NOT NULL,
  `AUTOINC` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblautonumber`
--

INSERT INTO `tblautonumber` (`AUTOCODE`, `APPENDCHAR`, `AUTOSTART`, `AUTOEND`, `AUTOINC`) VALUES
('invoice', 'IN', 1, 40175, 1),
('item', '222017', 1001, 1083, 1),
('OR', 'OR', 1, 70001, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tblcategory`
--

CREATE TABLE `tblcategory` (
  `CATID` int(11) NOT NULL,
  `CATNAME` varchar(90) NOT NULL,
  `CATDESCRIPTION` varchar(90) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblcategory`
--

INSERT INTO `tblcategory` (`CATID`, `CATNAME`, `CATDESCRIPTION`) VALUES
(1, 'syrup', 'syrup'),
(2, 'tablet', 'tablet'),
(3, 'capsule', 'capsule'),
(4, 'suspension', 'suspension'),
(5, 'foods supplement', 'foods supplement');

-- --------------------------------------------------------

--
-- Table structure for table `tblcustomer`
--

CREATE TABLE `tblcustomer` (
  `CIDNO` int(11) NOT NULL,
  `CFIRSTNAME` varchar(90) NOT NULL,
  `CLASTNAME` varchar(90) NOT NULL,
  `CADDRESS` text NOT NULL,
  `CCONTACTNO` varchar(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblcustomer`
--

INSERT INTO `tblcustomer` (`CIDNO`, `CFIRSTNAME`, `CLASTNAME`, `CADDRESS`, `CCONTACTNO`) VALUES
(1, 'Jessica ', 'Londres', 'Brgy.Enclaro, Binalbagan Negros Occidental', '09123621342'),
(2, 'Sandra ', 'Mission', 'Brgy.Progreso, Binalbagan Negros Occidental', '09234718212'),
(3, 'James ', 'Lim', 'Brgy.1, Kabankalan City', '09126975863'),
(4, 'Carlan ', 'Elumba', 'Brgy.Paglaum, Binalbagan Negros Occidental', '09873516256'),
(5, 'Riza Joy ', 'Ortiz', 'Brgy.Mt.Carmel, Binalbagan Negros Occidental', '09126486673');

-- --------------------------------------------------------

--
-- Table structure for table `tblemployee`
--

CREATE TABLE `tblemployee` (
  `EID` int(11) NOT NULL,
  `FIRSTNAME` varchar(90) NOT NULL,
  `LASTNAME` varchar(90) NOT NULL,
  `ADDRESS` varchar(90) NOT NULL,
  `BIRTHDAY` date NOT NULL,
  `GENDER` varchar(90) NOT NULL,
  `STATUS` varchar(90) NOT NULL,
  `CONTACTNO` varchar(90) NOT NULL,
  `NATIONALITY` varchar(90) NOT NULL,
  `RELIGION` varchar(90) NOT NULL,
  `HEIGHT` varchar(90) NOT NULL,
  `WEIGHT` varchar(90) NOT NULL,
  `AGE` int(90) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tblgeneric`
--

CREATE TABLE `tblgeneric` (
  `GID` int(11) NOT NULL,
  `GNAME` varchar(90) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblgeneric`
--

INSERT INTO `tblgeneric` (`GID`, `GNAME`) VALUES
(1, 'Tempra'),
(2, 'Biogesic'),
(3, 'Caltrate'),
(4, 'Rexona'),
(5, 'Pediasure'),
(6, 'Profan'),
(7, 'alaxan');

-- --------------------------------------------------------

--
-- Table structure for table `tblitem`
--

CREATE TABLE `tblitem` (
  `ITEMID` int(11) NOT NULL,
  `ITEMCODE` varchar(90) NOT NULL,
  `ITEMNAME` varchar(90) NOT NULL,
  `IBRANDNAME` varchar(90) NOT NULL,
  `GID` int(11) NOT NULL,
  `SHID` int(11) NOT NULL,
  `IDESCRIPTION` varchar(90) NOT NULL,
  `UNITPRICE` double NOT NULL,
  `SELLPRICE` double NOT NULL,
  `UNIT` varchar(90) NOT NULL,
  `QUANTITY` int(11) NOT NULL,
  `ONHAND` int(2) NOT NULL,
  `SIDNO` int(11) NOT NULL,
  `CATID` int(11) NOT NULL,
  `EXPIRED_DATE` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblitem`
--

INSERT INTO `tblitem` (`ITEMID`, `ITEMCODE`, `ITEMNAME`, `IBRANDNAME`, `GID`, `SHID`, `IDESCRIPTION`, `UNITPRICE`, `SELLPRICE`, `UNIT`, `QUANTITY`, `ONHAND`, `SIDNO`, `CATID`, `EXPIRED_DATE`) VALUES
(1, '201911211071', 'N/A', 'Paracetamol', 2, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 2, '2019-11-21'),
(2, '201911211071', 'N/A', 'Paracetamol', 2, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 2, '2019-11-21'),
(3, '201911211071', 'N/A', 'Paracetamol', 2, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 2, '2019-11-21'),
(4, '201911211071', 'N/A', 'Paracetamol', 2, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 2, '2019-11-21'),
(5, '201911211071', 'N/A', 'Paracetamol', 2, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 2, '2019-11-21'),
(6, '201911211071', 'N/A', 'Paracetamol', 2, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 2, '2019-11-21'),
(7, '201911211071', 'N/A', 'Paracetamol', 2, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 2, '2019-11-21'),
(8, '201911211071', 'N/A', 'Paracetamol', 2, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 2, '2019-11-21'),
(9, '201911211071', 'N/A', 'Paracetamol', 2, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 2, '2019-11-21'),
(10, '201911211071', 'N/A', 'Paracetamol', 2, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 2, '2019-11-21'),
(11, '201911211071', 'N/A', 'Paracetamol', 2, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 2, '2019-11-21'),
(12, '201911211071', 'N/A', 'Paracetamol', 2, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 2, '2019-11-21'),
(13, '201911221072', 'pediasure', '', 5, 2, 'N/A', 450, 500, '500 g', 1, 0, 2, 5, '2019-11-22'),
(14, '201911221072', 'pediasure', '', 5, 2, 'N/A', 450, 500, '500 g', 1, 0, 2, 5, '2019-11-22'),
(15, '201911221073', '', 'paracetamol', 2, 3, 'n/a', 12, 15, 'pcs', 1, 0, 3, 2, '2019-11-22'),
(16, '201911221073', '', 'paracetamol', 2, 3, 'n/a', 12, 15, 'pcs', 1, 0, 3, 2, '2019-11-22'),
(40, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(41, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(42, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(43, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(44, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(45, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(46, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(47, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(48, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(49, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(50, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(51, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(52, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(53, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(54, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(55, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(56, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(57, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(58, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(59, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-23'),
(60, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(61, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(62, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(63, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(64, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(65, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(66, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(67, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(68, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(69, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(70, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(71, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(72, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(73, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(74, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(75, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(76, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(77, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(78, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(79, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(80, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(81, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(82, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(83, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(84, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(85, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(86, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(87, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(88, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(89, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(90, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(91, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(92, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(93, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(94, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(95, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(96, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(97, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(98, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(99, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(100, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(101, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(102, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(103, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(104, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(105, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(106, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(107, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(108, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(109, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(110, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(111, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(112, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(113, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(114, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(115, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(116, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(117, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(118, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(119, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(120, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(121, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(122, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(123, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(124, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(125, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(126, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(127, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(128, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(129, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(130, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(131, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(132, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(133, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(134, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(135, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(136, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(137, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(138, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(139, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(140, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(141, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(142, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(143, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(144, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(145, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(146, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(147, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(148, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(149, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(150, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(151, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(152, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(153, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(154, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(155, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(156, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(157, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(158, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(159, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(160, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(161, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(162, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(163, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(164, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(165, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(166, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(167, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(168, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(169, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(170, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(171, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(172, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(173, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(174, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(175, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(176, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(177, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(178, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(179, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(180, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(181, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(182, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(183, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(184, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(185, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(186, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(187, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(188, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(189, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(190, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(191, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(192, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(193, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(194, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(195, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(196, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(197, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(198, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(199, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(200, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(201, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(202, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(203, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(204, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(205, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(206, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(207, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(208, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(209, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(210, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(211, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(212, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(213, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(214, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(215, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(216, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(217, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(218, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(219, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(220, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(221, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(222, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(223, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(224, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(225, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(226, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(227, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(228, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(229, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(230, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(231, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(232, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(233, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(234, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(235, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(236, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(237, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(238, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(239, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(240, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(241, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(242, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(243, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(244, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(245, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(246, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(247, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(248, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(249, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(250, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(251, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(252, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(253, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(254, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(255, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(256, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(257, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(258, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(259, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(260, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(261, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(262, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(263, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(264, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(265, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(266, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(267, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(268, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(269, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(270, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(271, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(272, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(273, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(274, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(275, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(276, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(277, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(278, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(279, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(280, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(281, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(282, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(283, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(284, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(285, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(286, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(287, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(288, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(289, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(290, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(291, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(292, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(293, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(294, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(295, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(296, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(297, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(298, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(299, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(300, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(301, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(302, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(303, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(304, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(305, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(306, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(307, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(308, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(309, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(310, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(311, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(312, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(313, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(314, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(315, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(316, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(317, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(318, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(319, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(320, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(321, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(322, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(323, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(324, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(325, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(326, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(327, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(328, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(329, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(330, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(331, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(332, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(333, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(334, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(335, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(336, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(337, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(338, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(339, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(340, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(341, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(342, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(343, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(344, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(345, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(346, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(347, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(348, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(349, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(350, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(351, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(352, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(353, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(354, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(355, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(356, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(357, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(358, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(359, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(360, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(361, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(362, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(363, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(364, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(365, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(366, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(367, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(368, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(369, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(370, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(371, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(372, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(373, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(374, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(375, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(376, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(377, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(378, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(379, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(380, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(381, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(382, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(383, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(384, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(385, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(386, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(387, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(388, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(389, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(390, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(391, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(392, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(393, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(394, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(395, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(396, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(397, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(398, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(399, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(400, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(401, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(402, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(403, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(404, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(405, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(406, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(407, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(408, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(409, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(410, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(411, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(412, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(413, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(414, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(415, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(416, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(417, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(418, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(419, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(420, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(421, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(422, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(423, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(424, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(425, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(426, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(427, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(428, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(429, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(430, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(431, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(432, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(433, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(434, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(435, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(436, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(437, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(438, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(439, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(440, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(441, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(442, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(443, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(444, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(445, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(446, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(447, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(448, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(449, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(450, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(451, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(452, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(453, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(454, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(455, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(456, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(457, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(458, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(459, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(460, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(461, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(462, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(463, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(464, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(465, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(466, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(467, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(468, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(469, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(470, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(471, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(472, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(473, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(474, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(475, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(476, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(477, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(478, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(479, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(480, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(481, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(482, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(483, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(484, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(485, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(486, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(487, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(488, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(489, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(490, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(491, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(492, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(493, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(494, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(495, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(496, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(497, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(498, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(499, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(500, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(501, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(502, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(503, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(504, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(505, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(506, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(507, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(508, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(509, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(510, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(511, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(512, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(513, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(514, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(515, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(516, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(517, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(518, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(519, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(520, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(521, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(522, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(523, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(524, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(525, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(526, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(527, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(528, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(529, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(530, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(531, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(532, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(533, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(534, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(535, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(536, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(537, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24');
INSERT INTO `tblitem` (`ITEMID`, `ITEMCODE`, `ITEMNAME`, `IBRANDNAME`, `GID`, `SHID`, `IDESCRIPTION`, `UNITPRICE`, `SELLPRICE`, `UNIT`, `QUANTITY`, `ONHAND`, `SIDNO`, `CATID`, `EXPIRED_DATE`) VALUES
(538, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(539, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(540, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(541, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(542, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(543, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(544, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(545, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(546, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(547, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(548, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(549, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(550, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(551, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(552, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(553, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(554, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(555, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(556, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(557, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(558, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(559, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-11-24'),
(560, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(561, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(562, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(563, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(564, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(565, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(566, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(567, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(568, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(569, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(570, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(571, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(572, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(573, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(574, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(575, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(576, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(577, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(578, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(579, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(580, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(581, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(582, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(583, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(584, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(585, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(586, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(587, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(588, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(589, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(590, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(591, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(592, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(593, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(594, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(595, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(596, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(597, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(598, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(599, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(600, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(601, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(602, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(603, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(604, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(605, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(606, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(607, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(608, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(609, '201911221072', 'pediasure', '', 1, 1, 'N/A', 450, 500, '500 g', 1, 0, 1, 1, '2019-11-25'),
(610, '201912021078', 'bonakid', 'bona batang may laban', 5, 3, 'bonakid', 500, 650, '1000 ml', 1, 0, 4, 4, '2019-12-02'),
(611, '201912021078', 'bonakid', 'bona batang may laban', 5, 3, 'bonakid', 500, 650, '1000 ml', 1, 0, 4, 4, '2019-12-02'),
(612, '201912021078', 'bonakid', 'bona batang may laban', 5, 3, 'bonakid', 500, 650, '1000 ml', 1, 0, 4, 4, '2019-12-02'),
(613, '201912021078', 'bonakid', 'bona batang may laban', 5, 3, 'bonakid', 500, 650, '1000 ml', 1, 0, 4, 4, '2019-12-02'),
(614, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(615, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(616, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(617, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(618, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(619, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(620, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(621, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(622, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(623, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(624, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(625, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(626, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(627, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(628, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(629, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(630, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(631, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(632, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(633, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(634, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(635, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(636, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(637, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(638, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(639, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(640, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(641, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(642, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(643, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(644, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(645, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(646, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(647, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(648, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(649, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(650, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(651, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(652, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(653, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(654, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(655, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(656, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(657, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(658, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(659, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(660, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(661, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(662, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(663, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-05'),
(664, '201912101080', 'alaxan', 'fr', 7, 2, 'Alaxan', 5, 8, '500 ml', 1, 0, 3, 3, '2019-12-10'),
(665, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-10'),
(666, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 0, 1, 1, '2019-12-10'),
(667, '201912021078', 'bonakid', 'bona batang may laban', 1, 1, 'bonakid', 500, 650, '1000 ml', 1, 0, 4, 1, '2019-12-12'),
(668, '201912021078', 'bonakid', 'bona batang may laban', 1, 1, 'bonakid', 500, 650, '1000 ml', 1, 0, 4, 1, '2019-12-12'),
(669, '201912021078', 'bonakid', 'bona batang may laban', 1, 1, 'bonakid', 500, 650, '1000 ml', 1, 0, 4, 1, '2019-12-12'),
(670, '201912021078', 'bonakid', 'bona batang may laban', 1, 1, 'bonakid', 500, 650, '1000 ml', 1, 0, 4, 1, '2019-12-12'),
(671, '201912021078', 'bonakid', 'bona batang may laban', 1, 1, 'bonakid', 500, 650, '1000 ml', 1, 0, 4, 1, '2019-12-12'),
(672, '201912021078', 'bonakid', 'bona batang may laban', 1, 1, 'bonakid', 500, 650, '1000 ml', 1, 0, 4, 1, '2019-12-12'),
(673, '201912021078', 'bonakid', 'bona batang may laban', 1, 1, 'bonakid', 500, 650, '1000 ml', 1, 0, 4, 1, '2019-12-12'),
(674, '201912021078', 'bonakid', 'bona batang may laban', 1, 1, 'bonakid', 500, 650, '1000 ml', 1, 0, 4, 1, '2019-12-12'),
(675, '201912021078', 'bonakid', 'bona batang may laban', 1, 1, 'bonakid', 500, 650, '1000 ml', 1, 1, 4, 1, '2019-12-12'),
(676, '201912021078', 'bonakid', 'bona batang may laban', 1, 1, 'bonakid', 500, 650, '1000 ml', 1, 1, 4, 1, '2019-12-12'),
(677, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(678, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(679, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(680, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(681, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(682, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(683, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(684, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(685, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(686, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(687, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(688, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(689, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(690, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(691, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(692, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(693, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(694, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(695, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24'),
(696, '201911211071', 'N/A', 'Paracetamol', 1, 1, 'n/a', 12, 15, 'pcs', 1, 1, 1, 1, '2020-01-24');

-- --------------------------------------------------------

--
-- Table structure for table `tblshelves`
--

CREATE TABLE `tblshelves` (
  `SHID` int(11) NOT NULL,
  `SHNAME` varchar(90) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblshelves`
--

INSERT INTO `tblshelves` (`SHID`, `SHNAME`) VALUES
(1, 'Shelves 1'),
(2, 'Shelves 2'),
(3, 'Shelves 3'),
(4, 'Shelves 4'),
(5, 'Shelves 5'),
(6, 'Shelves 6'),
(7, 'shelves 6');

-- --------------------------------------------------------

--
-- Table structure for table `tblsupplier`
--

CREATE TABLE `tblsupplier` (
  `SIDNO` int(11) NOT NULL,
  `SNAME` varchar(90) NOT NULL,
  `SCONTACTPERSON` varchar(90) NOT NULL,
  `SADDRESS` varchar(90) NOT NULL,
  `SCONTACTNO` varchar(90) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblsupplier`
--

INSERT INTO `tblsupplier` (`SIDNO`, `SNAME`, `SCONTACTPERSON`, `SADDRESS`, `SCONTACTNO`) VALUES
(1, 'Pfizers', 'Jason Webs', 'Brgy. Takuling, Bacolod City', '09125093497'),
(2, 'Uniliver', 'Andrew E. Lim', 'Brgy. Mailing, Bacolod City.', '09508953568'),
(3, 'Unicef', 'Charles D. Yanson', 'Brgy. Jaro, Ilo-ilo City', '09345678569'),
(4, 'Nestle', 'Kevin L. Wong', 'Kabankalan City', '09521248573'),
(5, 'Abbott', 'Joegin C.Alcantara', 'Makati City', '09435171526'),
(6, 'Unicef', 'test user', 'test address', '12222222222'),
(39, 'Uniliver Company', 'Joey Garcia', 'Kabankalan City', '09173777373'),
(40, 'adones company', 'Kirk Bayate', 'Sonedco Isabela', '09122734644');

-- --------------------------------------------------------

--
-- Table structure for table `tbltransaction`
--

CREATE TABLE `tbltransaction` (
  `TRANSID` int(11) NOT NULL,
  `INVOICENO` int(30) NOT NULL,
  `ORNO` int(30) NOT NULL,
  `TRANSDATE` date NOT NULL,
  `TRANSTIME` varchar(30) NOT NULL,
  `AMOUNTSALE` double NOT NULL,
  `DISCOUNT` double NOT NULL,
  `TAX` double NOT NULL,
  `TOTALDUE` double NOT NULL,
  `AMOUNTRECIEVED` double NOT NULL,
  `AMOUNTCHANGE` double NOT NULL,
  `TENDEREDBY` int(11) NOT NULL,
  `CASHIER` varchar(30) NOT NULL,
  `CUSTOMER` varchar(30) NOT NULL,
  `GIVENDISCCOUNT` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbltransaction`
--

INSERT INTO `tbltransaction` (`TRANSID`, `INVOICENO`, `ORNO`, `TRANSDATE`, `TRANSTIME`, `AMOUNTSALE`, `DISCOUNT`, `TAX`, `TOTALDUE`, `AMOUNTRECIEVED`, `AMOUNTCHANGE`, `TENDEREDBY`, `CASHIER`, `CUSTOMER`, `GIVENDISCCOUNT`) VALUES
(1, 40084, 70002, '2019-11-25', '11:01:07 AM', 15, 0, 0, 15, 50, 35, 5, 'dongcoy', 'Default', 0),
(2, 40085, 70002, '2019-11-25', '11:05:28 AM', 15, 0, 0, 15, 50, 35, 5, 'dongcoy', 'Default', 0),
(3, 40086, 70002, '2019-11-25', '11:08:52 AM', 15, 0, 0, 15, 50, 35, 5, 'dongcoy', 'Default', 0),
(4, 40087, 70002, '2019-11-25', '11:19:30 AM', 15, 0, 0, 15, 50, 35, 5, 'dongcoy', 'Default', 0),
(5, 40088, 70002, '2019-11-25', '11:32:51 AM', 15, 0, 0, 15, 50, 35, 5, 'dongcoy', 'Default', 0),
(6, 40088, 70002, '2019-11-25', '11:33:37 AM', 515, 0, 0, 515, 1, 585, 5, 'dongcoy', 'Default', 0),
(7, 40090, 70002, '2019-11-25', '12:10:48 PM', 15, 1.5, 0, 15, 20, 6.5, 5, 'dongcoy', 'Default', 0),
(8, 40091, 70002, '2019-11-25', '12:38:52 PM', 15, 0, 0, 15, 50, 35, 0, '', 'Default', 0),
(9, 40092, 70002, '2019-11-25', '5:26:25 PM', 150, 15, 0, 150, 500, 365, 5, 'dongcoy', 'Default', 0),
(10, 40093, 70002, '2019-11-25', '6:02:07 PM', 150, 15, 0, 150, 500, 365, 5, 'dongcoy', 'Default', 0),
(11, 40094, 70002, '2019-11-25', '6:31:26 PM', 150, 0, 0, 150, 400, 250, 5, 'dongcoy', 'Default', 0),
(12, 40095, 70002, '2019-11-25', '6:36:11 PM', 450, 0, 54, 450, 400, 4, 5, 'dongcoy', 'Default', 0),
(13, 40096, 70002, '2019-11-25', '6:40:05 PM', 6150, 615, 0, 6150, 6, 465, 5, 'dongcoy', 'Default', 0),
(14, 40097, 70002, '2019-11-25', '6:41:39 PM', 150, 615, 0, 150, 400, 250, 5, 'dongcoy', 'Default', 0),
(15, 40098, 70002, '2019-11-25', '6:45:13 PM', 150, 0, 0, 150, 300, 150, 5, 'dongcoy', 'Default', 0),
(16, 40099, 70002, '2019-11-25', '6:51:18 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(17, 40099, 70002, '2019-11-25', '6:51:26 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(18, 40099, 70002, '2019-11-25', '6:51:29 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(19, 40099, 70002, '2019-11-25', '6:51:30 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(20, 40099, 70002, '2019-11-25', '6:51:30 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(21, 40099, 70002, '2019-11-25', '6:51:30 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(22, 40099, 70002, '2019-11-25', '6:51:30 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(23, 40099, 70002, '2019-11-25', '6:51:31 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(24, 40099, 70002, '2019-11-25', '6:51:31 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(25, 40099, 70002, '2019-11-25', '6:51:31 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(26, 40099, 70002, '2019-11-25', '6:51:31 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(27, 40099, 70002, '2019-11-25', '6:51:31 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(28, 40099, 70002, '2019-11-25', '6:51:32 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(29, 40099, 70002, '2019-11-25', '6:51:32 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(30, 40099, 70002, '2019-11-25', '6:51:32 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(31, 40099, 70002, '2019-11-25', '6:51:32 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(32, 40099, 70002, '2019-11-25', '6:51:32 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(33, 40099, 70002, '2019-11-25', '6:51:32 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(34, 40099, 70002, '2019-11-25', '6:51:32 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(35, 40099, 70002, '2019-11-25', '6:51:32 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(36, 40099, 70002, '2019-11-25', '6:51:33 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(37, 40099, 70002, '2019-11-25', '6:51:35 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(38, 40099, 70002, '2019-11-25', '6:51:35 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(39, 40099, 70002, '2019-11-25', '6:51:35 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(40, 40099, 70002, '2019-11-25', '6:51:35 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(41, 40099, 70002, '2019-11-25', '6:51:35 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(42, 40099, 70002, '2019-11-25', '6:51:36 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(43, 40099, 70002, '2019-11-25', '6:51:36 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(44, 40099, 70002, '2019-11-25', '6:51:36 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(45, 40099, 70002, '2019-11-25', '6:51:36 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(46, 40099, 70002, '2019-11-25', '6:51:43 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(47, 40099, 70002, '2019-11-25', '6:51:44 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(48, 40099, 70002, '2019-11-25', '6:51:44 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(49, 40099, 70002, '2019-11-25', '6:51:44 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(50, 40099, 70002, '2019-11-25', '6:51:44 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(51, 40099, 70002, '2019-11-25', '6:51:44 PM', 180, 0, 0, 180, 200, 20, 5, 'dongcoy', 'Default', 0),
(52, 40135, 70002, '2019-11-25', '7:56:07 PM', 300, 0, 0, 300, 400, 100, 5, 'dongcoy', 'Default', 0),
(53, 40136, 70002, '2019-11-25', '8:19:06 PM', 300, 0, 0, 300, 500, 200, 5, 'dongcoy', 'Default', 0),
(54, 40137, 70002, '2019-11-25', '8:21:18 PM', 450, 0, 0, 450, 500, 50, 5, 'dongcoy', 'Default', 0),
(55, 40138, 70002, '2019-11-25', '8:32:23 PM', 450, 0, 0, 450, 500, 50, 5, 'dongcoy', 'Default', 0),
(56, 40139, 70002, '2019-11-25', '8:35:53 PM', 150, 0, 0, 150, 500, 350, 5, 'dongcoy', 'Default', 0),
(57, 40140, 70002, '2019-11-26', '9:59:24 AM', 10000, 1000, 1200, 10000, 10, 1, 5, 'dongcoy', 'Default', 0),
(58, 40141, 70002, '2019-11-27', '8:41:47 AM', 300, 0, 0, 300, 500, 200, 5, 'dongcoy', 'Default', 0),
(59, 40142, 70002, '2019-11-27', '9:22:05 AM', 150, 0, 0, 150, 300, 150, 5, 'dongcoy', 'Default', 0),
(60, 40143, 70002, '2019-11-29', '10:11:31 AM', 150, 0, 0, 150, 300, 150, 5, 'dongcoy', 'Default', 0),
(61, 40144, 70002, '2019-11-29', '11:08:49 AM', 195, 19.5, 0, 195, 200, 24.5, 5, 'dongcoy', 'Default', 0),
(62, 40145, 70002, '2019-12-02', '1:49:22 PM', 300, 0, 36, 300, 500, 236, 5, 'dongcoy', 'Default', 0),
(63, 40146, 70002, '2019-12-02', '1:53:19 PM', 300, 0, 0, 300, 340, 40, 5, 'dongcoy', 'Default', 0),
(64, 40147, 70002, '2019-12-02', '3:58:39 PM', 45, 0, 5.4, 45, 50, 10.4, 5, 'dongcoy', 'Default', 0),
(65, 40148, 70002, '2019-12-02', '4:29:04 PM', 45, 0, 0, 45, 50, 5, 5, 'dongcoy', 'Default', 0),
(66, 40149, 70002, '2019-12-02', '4:41:14 PM', 60, 6, 0, 60, 60, 6, 5, 'dongcoy', 'Default', 0),
(67, 40150, 70002, '2019-12-02', '4:46:24 PM', 30, 0, 0, 30, 50, 20, 5, 'dongcoy', 'Default', 0),
(68, 40151, 70002, '2019-12-05', '7:28:37 PM', 150, 0, 0, 150, 400, 250, 5, 'dongcoy', 'Default', 0),
(69, 40152, 70002, '2019-12-05', '7:53:42 PM', 60, 0, 7.2, 60, 100, 47.2, 5, 'dongcoy', 'Default', 0),
(70, 40153, 70002, '2019-12-05', '7:55:46 PM', 60, 0, 0, 60, 70, 10, 5, 'dongcoy', 'Default', 0),
(71, 40154, 70002, '2019-12-05', '8:01:33 PM', 45, 0, 0, 45, 50, 5, 5, 'dongcoy', 'Default', 0),
(72, 40155, 70002, '2019-12-05', '8:10:31 PM', 45, 0, 0, 45, 50, 5, 5, 'dongcoy', 'Default', 0),
(73, 40156, 70002, '2019-12-05', '8:30:43 PM', 60, 0, 7.2, 60, 70, 17.2, 5, 'dongcoy', 'Default', 0),
(74, 40157, 70002, '2019-12-05', '8:34:07 PM', 45, 0, 0, 45, 100, 55, 5, 'dongcoy', 'Default', 0),
(75, 40158, 70002, '2019-12-05', '8:35:41 PM', 30, 0, 0, 30, 50, 20, 5, 'dongcoy', 'Default', 0),
(76, 40159, 70002, '2019-12-05', '8:39:18 PM', 30, 0, 0, 30, 100, 70, 5, 'dongcoy', 'Default', 0),
(77, 40160, 70002, '2019-12-05', '8:41:46 PM', 45, 0, 0, 45, 500, 455, 5, 'dongcoy', 'Default', 0),
(78, 40161, 70002, '2019-12-05', '8:49:30 PM', 30, 0, 0, 30, 70, 40, 5, 'dongcoy', 'Default', 0),
(79, 40162, 70002, '2019-12-05', '9:26:21 PM', 60, 0, 0, 60, 100, 40, 5, 'dongcoy', 'Default', 0),
(80, 0, 0, '2019-12-05', '9:26:48 PM', 60, 0, 0, 0, 0, 0, 5, 'dongcoy', '', 0),
(81, 0, 0, '2019-12-05', '9:27:17 PM', 75, 0, 0, 75, 100, 25, 5, 'dongcoy', '', 0),
(82, 40165, 70002, '2019-12-06', '3:28:26 PM', 15, 0, 0, 15, 0, 0, 5, 'dongcoy', 'Default', 0),
(83, 40166, 70002, '2019-12-06', '3:39:40 PM', 1300, 0, 0, 1300, 1, 100, 5, 'dongcoy', 'Default', 0),
(84, 40167, 70002, '2019-12-11', '7:23:18 AM', 15, 0, 0, 15, 50, 35, 5, 'dongcoy', 'Default', 0),
(85, 40168, 70002, '2019-12-11', '8:29:02 PM', 15, 0, 0, 15, 40, 25, 5, 'dongcoy', 'Default', 0),
(86, 40169, 70002, '2019-12-11', '9:32:14 PM', 8, 0, 0, 8, 50, 42, 5, 'dongcoy', 'Default', 0),
(87, 40170, 70002, '2019-12-11', '10:16:46 PM', 650, 0, 0, 650, 700, 50, 5, 'dongcoy', 'Default', 0),
(88, 40171, 70002, '2019-12-12', '12:16:09 AM', 650, 0, 0, 650, 5, 4, 5, 'dongcoy', 'Default', 0),
(89, 40172, 70002, '2019-12-12', '9:16:55 AM', 1300, 0, 0, 1300, 2, 700, 5, 'dongcoy', 'Default', 0),
(90, 40173, 70002, '2019-12-12', '11:02:58 AM', 1300, 0, 0, 1300, 2, 700, 5, 'dongcoy', 'Default', 0),
(91, 40174, 70002, '2019-12-12', '4:17:57 PM', 1300, 0, 0, 1300, 4, 2, 5, 'dongcoy', 'Default', 0),
(92, 40175, 70002, '2019-12-12', '4:39:16 PM', 1300, 0, 0, 1300, 2, 1, 5, 'dongcoy', 'Default', 0);

-- --------------------------------------------------------

--
-- Table structure for table `tbltransdetails`
--

CREATE TABLE `tbltransdetails` (
  `TRANSDETAILSID` int(11) NOT NULL,
  `INVOICENO` int(30) NOT NULL,
  `ITEMCODE` varchar(30) NOT NULL,
  `ITEMNAME` varchar(90) NOT NULL,
  `ITEMBRAND` varchar(90) NOT NULL,
  `ITEMGENERICNAME` varchar(90) NOT NULL,
  `ITEMDESCRIPTION` varchar(90) NOT NULL,
  `ITEMQTY` int(11) NOT NULL,
  `ITEMPRICE` double NOT NULL,
  `ITEMTOTPRICE` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbltransdetails`
--

INSERT INTO `tbltransdetails` (`TRANSDETAILSID`, `INVOICENO`, `ITEMCODE`, `ITEMNAME`, `ITEMBRAND`, `ITEMGENERICNAME`, `ITEMDESCRIPTION`, `ITEMQTY`, `ITEMPRICE`, `ITEMTOTPRICE`) VALUES
(17, 40138, '201911211071', 'N/A', '', '', '', 30, 15, 450),
(18, 40139, '201911211071', 'N/A', '', '', '', 10, 15, 150),
(19, 40140, '201911221072', 'pediasure', '', '', '', 20, 500, 10),
(20, 40141, '201911211071', 'N/A', '', '', '', 20, 15, 300),
(21, 40142, '201911211071', 'N/A', '', '', '', 10, 15, 150),
(22, 40143, '201911211071', 'N/A', '', '', '', 10, 15, 150),
(23, 40144, '201911211071', 'N/A', '', '', '', 13, 15, 195),
(24, 40145, '201911211071', 'N/A', '', '', '', 20, 15, 300),
(25, 40146, '201911211071', 'N/A', '', '', '', 20, 15, 300),
(26, 40147, '201911211071', 'N/A', '', '', 'n/a', 3, 15, 45),
(27, 40148, '201911211071', 'N/A', 'Paracetamol', '2', 'n/a', 3, 15, 45),
(28, 40149, '201911211071', 'N/A', 'Paracetamol', '2', 'n/a', 4, 15, 60),
(29, 0, '201911211071', 'N/A', 'Paracetamol', '2', 'n/a', 2, 15, 30),
(30, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 10, 15, 150),
(31, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 4, 15, 60),
(32, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 4, 15, 60),
(33, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 3, 15, 45),
(34, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 3, 15, 45),
(35, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 4, 15, 60),
(36, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 3, 15, 45),
(37, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 2, 15, 30),
(38, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 2, 15, 30),
(39, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 3, 15, 45),
(40, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 2, 15, 30),
(41, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 4, 15, 60),
(42, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 5, 15, 75),
(43, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 1, 15, 15),
(44, 0, '201912021078', 'bonakid', 'bona batang may laban', 'Pediasure', 'bonakid', 2, 650, 1),
(45, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 1, 15, 15),
(46, 0, '201911211071', 'N/A', 'Paracetamol', 'Tempra', 'n/a', 1, 15, 15),
(47, 0, '201912101080', 'alaxan', 'fr', 'alaxan', 'Alaxan', 1, 8, 8),
(48, 0, '201912021078', 'bonakid', 'bona batang may laban', 'Pediasure', 'bonakid', 1, 650, 650),
(49, 0, '201912021078', 'bonakid', 'bona batang may laban', 'Pediasure', 'bonakid', 1, 650, 650),
(50, 0, '201912021078', 'bonakid', 'bona batang may laban', 'Tempra', 'bonakid', 2, 650, 1),
(51, 0, '201912021078', 'bonakid', 'bona batang may laban', 'Tempra', 'bonakid', 2, 650, 1),
(52, 0, '201912021078', 'bonakid', 'bona batang may laban', 'Tempra', 'bonakid', 2, 650, 1),
(53, 0, '201912021078', 'bonakid', 'bona batang may laban', 'Tempra', 'bonakid', 2, 650, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tblusers`
--

CREATE TABLE `tblusers` (
  `EMPID` int(11) NOT NULL,
  `EMPNAME` varchar(90) NOT NULL,
  `EMPSEX` varchar(90) NOT NULL,
  `EMPDATEBIRTH` varchar(90) NOT NULL,
  `EMPPHONENO` varchar(30) NOT NULL,
  `EMPADDRESS` text NOT NULL,
  `EMPPOSITION` varchar(90) NOT NULL,
  `USERNAME` varchar(90) NOT NULL,
  `PASSWORD` varchar(90) NOT NULL,
  `CONFIRMEDPASSWORD` varchar(90) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblusers`
--

INSERT INTO `tblusers` (`EMPID`, `EMPNAME`, `EMPSEX`, `EMPDATEBIRTH`, `EMPPHONENO`, `EMPADDRESS`, `EMPPOSITION`, `USERNAME`, `PASSWORD`, `CONFIRMEDPASSWORD`) VALUES
(4, 'Ado Evangelista', 'Male', '2019-11-22', '9128822222', 'Tan-awan', 'Administrator', 'adones', '356a192b7913b04c54574d18c28d46e6395428ab', '356a192b7913b04c54574d18c28d46e6395428ab'),
(5, 'dongcoy', 'Female', '2019-11-15', '9456789098', 'isabela', 'Cashier', 'shella', '356a192b7913b04c54574d18c28d46e6395428ab', '356a192b7913b04c54574d18c28d46e6395428ab'),
(6, 'Kim matillano', 'Female', '2019-11-25', '9888487777', 'Paglaum Village', 'Sales Clerk', 'Kim', '356a192b7913b04c54574d18c28d46e6395428ab', '356a192b7913b04c54574d18c28d46e6395428ab'),
(7, 'Kirk', 'Female', '2019-12-05', '9452335678', 'sonedco', 'Sales Clerk', 'Negro', '356a192b7913b04c54574d18c28d46e6395428ab', '356a192b7913b04c54574d18c28d46e6395428ab');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tblautonumber`
--
ALTER TABLE `tblautonumber`
  ADD PRIMARY KEY (`AUTOCODE`);

--
-- Indexes for table `tblcategory`
--
ALTER TABLE `tblcategory`
  ADD PRIMARY KEY (`CATID`);

--
-- Indexes for table `tblcustomer`
--
ALTER TABLE `tblcustomer`
  ADD PRIMARY KEY (`CIDNO`);

--
-- Indexes for table `tblemployee`
--
ALTER TABLE `tblemployee`
  ADD PRIMARY KEY (`EID`);

--
-- Indexes for table `tblgeneric`
--
ALTER TABLE `tblgeneric`
  ADD PRIMARY KEY (`GID`);

--
-- Indexes for table `tblitem`
--
ALTER TABLE `tblitem`
  ADD PRIMARY KEY (`ITEMID`);

--
-- Indexes for table `tblshelves`
--
ALTER TABLE `tblshelves`
  ADD PRIMARY KEY (`SHID`);

--
-- Indexes for table `tblsupplier`
--
ALTER TABLE `tblsupplier`
  ADD PRIMARY KEY (`SIDNO`);

--
-- Indexes for table `tbltransaction`
--
ALTER TABLE `tbltransaction`
  ADD PRIMARY KEY (`TRANSID`);

--
-- Indexes for table `tbltransdetails`
--
ALTER TABLE `tbltransdetails`
  ADD PRIMARY KEY (`TRANSDETAILSID`);

--
-- Indexes for table `tblusers`
--
ALTER TABLE `tblusers`
  ADD PRIMARY KEY (`EMPID`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tblcategory`
--
ALTER TABLE `tblcategory`
  MODIFY `CATID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `tblcustomer`
--
ALTER TABLE `tblcustomer`
  MODIFY `CIDNO` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `tblemployee`
--
ALTER TABLE `tblemployee`
  MODIFY `EID` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblgeneric`
--
ALTER TABLE `tblgeneric`
  MODIFY `GID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tblitem`
--
ALTER TABLE `tblitem`
  MODIFY `ITEMID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=697;

--
-- AUTO_INCREMENT for table `tblshelves`
--
ALTER TABLE `tblshelves`
  MODIFY `SHID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tblsupplier`
--
ALTER TABLE `tblsupplier`
  MODIFY `SIDNO` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=41;

--
-- AUTO_INCREMENT for table `tbltransaction`
--
ALTER TABLE `tbltransaction`
  MODIFY `TRANSID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=93;

--
-- AUTO_INCREMENT for table `tbltransdetails`
--
ALTER TABLE `tbltransdetails`
  MODIFY `TRANSDETAILSID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=54;

--
-- AUTO_INCREMENT for table `tblusers`
--
ALTER TABLE `tblusers`
  MODIFY `EMPID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
